import { type Static } from '@sinclair/typebox';
import type { FetchError } from './FetchError.js';
import type { ValidationError } from './validatedFetch.js';
declare const DeviceShadows: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
    id: import("@sinclair/typebox").TString;
    $meta: import("@sinclair/typebox").TObject<{
        createdAt: import("@sinclair/typebox").TString;
        updatedAt: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>;
    state: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
        reported: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>>;
        desired: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>>;
        version: import("@sinclair/typebox").TNumber;
        metadata: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>;
    }>>;
}>>;
export declare const getDeviceShadow: ({ endpoint, apiKey, }: {
    endpoint: URL;
    apiKey: string;
}, fetchImplementation?: typeof fetch) => ((devices: string[]) => Promise<{
    shadows: Static<typeof DeviceShadows>;
} | {
    error: FetchError | ValidationError;
}>);
export {};
